Summary:		MateCanvas widget
Name:			libmatecanvas
Version:		1.4.0
Release:		7%{?dist}
URL:			http://mate-desktop.org
Source0:		http://pub.mate-desktop.org/releases/1.4/%{name}-%{version}.tar.xz
License:		LGPLv2+
Group:			System Environment/Libraries

BuildRequires:	gtk2-devel
BuildRequires:	libart_lgpl-devel
BuildRequires:	libglade2-devel 
BuildRequires:	mate-common


%description
The canvas widget allows you to create custom displays using stock items
such as circles, lines, text, and so on. It was originally a port of the
Tk canvas widget but has evolved quite a bit over time.

%package devel
Summary:	Libraries and headers for libmatecanvas
Group:		Development/Libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
The libmatecanvas-devel package contains libraries and header files for
developing applications that use libmatecanvas.


%prep
%setup -q
NOCONFIGURE=1 ./autogen.sh


%build
%configure \
	--enable-glade \
	--disable-static

make %{?_smp_mflags} 


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

find $RPM_BUILD_ROOT -name '*.la' -exec rm -fv {} ';'

%find_lang %{name}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%doc COPYING.LIB AUTHORS NEWS README
%{_libdir}/libmatecanvas-2.so.0*
%{_libdir}/libglade/2.0/libgladematecanvas.so

%files devel
%{_libdir}/libmatecanvas-2.so
%{_libdir}/pkgconfig/libmatecanvas-2.0.pc
%{_includedir}/libmatecanvas-2.0/
%{_datadir}/gtk-doc


%changelog
* Mon Aug 27 2012 Rex Dieter <rdieter@fedoraproject.org> 1.4.0-7
- .spec cosmetics
- tighten %%files a bit
- drop not-needed rpath hacks

* Tue Jul 24 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-6
- initial build for fedora
- edit -devel description
- co-owned %%{_datadir}/gtk-doc and remve gtk-doc requires
- add isa tag
- remove %%defattr lines in %%files
- clean build requires

* Sat Dec 24 2011 Wolfgang Ulbrich <chat-to-me@raveit.de> - libmate-1.1.0.1
- libmatecanvas.spec based on libgnomecanvas-2.30.3-3.fc17 spec

